Bug Hunting Session
Bug 51667 - FILEOPEN particular .xls from PlanMaker with CHART will CRASH
Summary: FILEOPEN particular .xls from PlanMaker with CHART will CRASH
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 RC2
Hardware: Other All
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.5.6 target:3.7.0 target:3.6....
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-02 14:25 UTC by Valek Filippov
Modified: 2012-07-04 00:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
file with a problem (32.50 KB, application/vnd.ms-excel)
2012-07-02 14:25 UTC, Valek Filippov
Details
Screenshot from XL2003 (43.71 KB, image/png)
2012-07-02 14:26 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-07-02 14:25:30 UTC
Created attachment 63726 [details]
file with a problem

LO Calc 3.6b2 crashes on file import.
Comment 1 Valek Filippov 2012-07-02 14:26:01 UTC
Created attachment 63727 [details]
Screenshot from XL2003
Comment 2 Rainer Bielefeld Retired 2012-07-02 23:04:57 UTC
[Reproducible] with "LibreOffice 3.5.0 RC2 German UI/Locale [Build-ID: e371a95-bf68a13-5a1aa2b-d3c1ae9-b938258] on German WIN7 Home Premium (64bit)

3.4.5 shows empty charts with empty data range, also unusable, like LibO 3.3.3 and AOOo 3.4

OOo 3.1.1 and Gnumeric show unusable chart contents, not similar to screenshot.

It seems document has been mad with "PlanMaker" Rev. 305 software and is more or less invalid (also my MS EXCEL VIEWER crashes)

But Of course, LibO should show an error message instead of crashing.

Exotic Document, so only "Major" and not MAB

@Kohei, @Markus:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 3 Markus Mohrhard 2012-07-03 01:14:05 UTC
Already fixed localy.
Comment 4 Not Assigned 2012-07-03 05:20:39 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f2bea49b3871443608ca7639f9b601fbb9d37b6&g=libreoffice-3-5

check for invalid tab number, fdo#51667


It will be available in LibreOffice 3.5.6.
Comment 5 Not Assigned 2012-07-03 17:28:04 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d79cf5b08a45365d78e823c372e337142bec956d

check for invalid tab number, fdo#51667
Comment 6 Not Assigned 2012-07-03 18:41:16 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a666d4236cf799777a6af37c218fb6adc285b7a5&g=libreoffice-3-6

check for invalid tab number, fdo#51667


It will be available in LibreOffice 3.6.
Comment 7 Roman Eisele 2012-07-04 00:54:29 UTC
This is a Calc issue (isn't it), therefore change Component field accordingly.